Package org.apache.sysds.runtime.lineage

# Class LineageCacheEntry

java.lang.Object
org.apache.sysds.runtime.lineage.LineageCacheEntry

public class LineageCacheEntry extends Object

## Constructor Summary

Constructors
Constructor
Description
`LineageCacheEntry(LineageItem key, Types.DataType dt, MatrixBlock Mval, ScalarObject Sval, long computetime)`

## Method Summary

Modifier and Type
Method
Description
`void`
`copyValueFrom(LineageCacheEntry src, long computetime)`
`org.apache.sysds.runtime.lineage.LineageCacheConfig.LineageCacheStatus`
`getCacheStatus()`
`DataCharacteristics`
`getDataCharacteristics()`
`jcuda.Pointer`
`getGPUPointer()`
`MatrixBlock`
`getMBValue()`
`RDDObject`
`getRDDObject()`
`byte[]`
`getSerializedBytes()`
`long`
`getSize()`
`ScalarObject`
`getSOValue()`
`boolean`
`isDensePointer()`
`boolean`
`isGPUObject()`
`boolean`
`isLocalObject()`
`boolean`
`isMatrixValue()`
`boolean`
`isNullVal()`
`boolean`
`isRDDPersist()`
`boolean`
`isScalarValue()`
`boolean`
`isSerializedBytes()`
`void`
`setGPUValue(jcuda.Pointer ptr, long size, MetaData md, long computetime)`
`void`
`setRDDValue(RDDObject rdd)`
`void`
`setRDDValue(RDDObject rdd, long computetime)`
`void`
`setValue(byte[] serialBytes, long computetime)`
`void`
`setValue(ScalarObject val, long computetime)`
`void`
`setValue(MatrixBlock val)`
`void`
`setValue(MatrixBlock val, long computetime)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LineageCacheEntry

public LineageCacheEntry(LineageItem key, Types.DataType dt, MatrixBlock Mval, ScalarObject Sval, long computetime)

## Method Details

### getMBValue

public MatrixBlock getMBValue()

### getSOValue

public ScalarObject getSOValue()

### getRDDObject

public RDDObject getRDDObject()

### getSerializedBytes

public byte[] getSerializedBytes()

### getGPUPointer

public jcuda.Pointer getGPUPointer()

### getCacheStatus

public org.apache.sysds.runtime.lineage.LineageCacheConfig.LineageCacheStatus getCacheStatus()

### getSize

public long getSize()

### isNullVal

public boolean isNullVal()

### isMatrixValue

public boolean isMatrixValue()

### isScalarValue

public boolean isScalarValue()

### isLocalObject

public boolean isLocalObject()

### isRDDPersist

public boolean isRDDPersist()

### isGPUObject

public boolean isGPUObject()

### isDensePointer

public boolean isDensePointer()

### isSerializedBytes

public boolean isSerializedBytes()

### setValue

public void setValue(MatrixBlock val, long computetime)

### setValue

public void setValue(MatrixBlock val)

### setValue

public void setValue(ScalarObject val, long computetime)

### setGPUValue

public void setGPUValue(jcuda.Pointer ptr, long size, MetaData md, long computetime)

### setRDDValue

public void setRDDValue(RDDObject rdd, long computetime)

### setRDDValue

public void setRDDValue(RDDObject rdd)

### setValue

public void setValue(byte[] serialBytes, long computetime)

### copyValueFrom

public void copyValueFrom(LineageCacheEntry src, long computetime)

### getDataCharacteristics

public DataCharacteristics getDataCharacteristics()